Subject: Re: bug#66765: 30.0.50; Building emacs with xinput2 breaks receiving XSendEvent events

From: Po Lu <[email-masked]>
Date: Sat, 04 Nov 2023 18:25:45 +0800

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked], [email-masked], [email-masked]
>> Date: Fri, 27 Oct 2023 09:04:00 +0300
>> From: Eli Zaretskii <[email-masked]>
>> 
>> > Cc: [email-masked]
>> > Date: Fri, 27 Oct 2023 08:32:44 +0800
>> > From:  Po Lu via "Bug reports for GNU Emacs,
>> >  the Swiss army knife of text editors" <[email-masked]>
>> > 
>> > When the X input extension is in use, both Emacs and the X server ignore
>> > core events.  It's also impossible to send extension events, so this
>> > extension renders external event delivery effectively impossible.
>> > 
>> > This isn't a bug we can fix, sorry; but the XTEST extension is capable
>> > of simulating real key presses, so I suggest whatever tools send Emacs
>> > events be rewritten to make use of that extension.
>> > 
>> > The same issue can be observed in programs written to use version 3 or 4
>> > of the GTK toolkit.
>> 
>> Can you please add something to etc/PROBLEMS about this issue?
>
> Ping!  I'd really love to have something in v29.2's PROBLEMS about
> this.
>
> Thanks.

Would you please install this under the heading "General X problems"?
TIA.

*** Programs which use XSendEvent cannot send input events to Emacs.

Emacs built to use the X Input Extension cannot receive core input
events sent through the SendEvent server request, since these events
intercepted by the X server when sent to input extension clients.

For such programs to function again, Emacs must be run on an X server
where the input extension is disabled, or alternatively configured with
the "--without-xinput2" option.